#!/bin/bash

i=1

tot=`wc -l $1 | awk '{print $1}'`


while [ $i -le $tot ] ; do
    line=`head -$i $1 | tail -1`
  
    namegal=`echo $line | awk '{print $1}'`
    echo $line > ${namegal}.mag

## cigale.par need to be redefined to allow best fit model (mostly z parameter)
    head -n 7 ./backcigale.par > ./cigale.par
    echo $namegal >> ./cigale.par
    echo "# (11) Photometric data ('*.mag' or '*.fnu')" >> cigale.par
    echo $namegal >> cigale.par
    tail -n 6 ./backcigale.par >> cigale.par


    head -n 5 ./backdistparams.ini >distpr.ini
    echo "file_root = chains/$namegal" >> distpr.ini
    tail -n 134 ./backdistparams.ini >> distpr.ini
    cp distpr.ini distparams.ini
    ./getdist distparams.ini
 

#################### f_ySP ############################
    more +4 "$namegal".margestats  | head -n 1 | awk  -v galnam=$namegal '{print galnam,$2,$3,$4,$5,$6,$7 }' >> B1.txt
   
#################### f_AGN ############################
    more +8 "$namegal".margestats | head -n 1 | awk -v galnam=$namegal '{print galnam,$2,$3,$4,$5,$6,$7 }' >> B2.txt
   
########################## M_star ################
    more +10 "$namegal".margestats | head -n 1 | awk -v galnam=$namegal '{print galnam,$2,$3,$4,$5,$6,$7 }' >> B3.txt

#############################SFR#################
    more +11 "$namegal".margestats | head -n 1  | awk -v galnam=$namegal '{print galnam,$2,$3,$4,$5,$6,$7 }' >> B4.txt 
 
####### t_D4000 ################################
    more +13 "$namegal".margestats | head -n 1  | awk -v galnam=$namegal '{print galnam,$2,$3,$4,$5,$6,$7 }' >> B5.txt
    
##################### L_bol ###########
    more +14 "$namegal".margestats | head -n 1 | awk -v galnam=$namegal '{print galnam,$2,$3,$4,$5,$6,$7 }' >> B6.txt 
   
####################### L_dust ########################
    more +15 "$namegal".margestats | head -n 1  | awk -v galnam=$namegal '{print galnam,$2,$3,$4,$5,$6,$7 }' >> B7.txt
    
#############################  A_FUV #########
    more +16 "$namegal".margestats | head -n 1  | awk -v galnam=$namegal '{print galnam,$2,$3,$4,$5,$6,$7 }'>> B8.txt

#############################  alpha #########
    more +7 "$namegal".margestats | head -n 1 | awk -v galnam=$namegal '{print galnam,$2,$3,$4,$5,$6,$7 }' >> B9.txt

############################# chi2#####################
    head -n 1 "$namegal".likestats | awk  -v galnam=$namegal '{print  galnam,2*$6}' >> B10.txt

    i=`expr $i + 1`

done

exit 0



